## ros-noetic-dialogflow-task-executive 2.1.28

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dialogflow_task_executive)

execute_process(COMMAND bash -c "gcc -dumpmachine" OUTPUT_VARIABLE gcc_dump_machine OUTPUT_STRIP_TRAILING_WHITESPACE)
message("-- gcc dumpmachine returns ${gcc_dump_machine}")
if(NOT (gcc_dump_machine MATCHES "x86_64-.*" OR gcc_dump_machine MATCHES "aarch64-.*"))
  message(WARNING "pip -i requirements.txt work only with i686 ???")
  message(WARNING "`pip install grpcio` fails with
  third_party/boringssl-with-bazel/src/crypto/hrss/asm/poly_rq_mul.S: Assembler messages:
  third_party/boringssl-with-bazel/src/crypto/hrss/asm/poly_rq_mul.S:306: Error: bad register name `%rbp'
  third_party/boringssl-with-bazel/src/crypto/hrss/asm/poly_rq_mul.S:308: Error: bad register expression
  third_party/boringssl-with-bazel/src/crypto/hrss/asm/poly_rq_mul.S:309: Error: bad register name `%rsp'")
endif()

find_package(catkin REQUIRED COMPONENTS
    message_generation
    actionlib_msgs
    catkin_virtualenv
)

add_message_files(
  FILES
  DialogResponse.msg
)

add_action_files(
  FILES
  DialogText.action
)

generate_messages(
  DEPENDENCIES
  actionlib_msgs
)

catkin_package(
  CATKIN_DEPENDS message_runtime
)

if(NOT(gcc_dump_machine MATCHES "x86_64-.*" OR gcc_dump_machine MATCHES "aarch64-.*"))
  message(WARNING "pip -i requirements.txt with grpcio works only with i686, so create dummy requirements.txt and run 'catkin_generate_virtualenv' for ${gcc_dump_machine}")
  file(WRITE ${CMAKE_CURRENT_SOURCE_DIR}/requirements.txt "")
  catkin_generate_virtualenv(CHECK_VENV FALSE)
elseif("$ENV{ROS_DISTRO}" STREQUAL "indigo")
  message(WARNING "following requirements.txt syntax is not support on 14.04")
  message(WARNING "google-api-core[grpc]==1.31.5  # via google-cloud-language")
  message(WARNING "so we intentionally use requirements.txt")
  message(WARNING "To use this program, we need to run")
  message(WARNING "sed -i 's/upgrade_pip=True/upgrade_pip=False/' /opt/ros/indigo/share/catkin_virtualenv/cmake/build_venv.py")
  message(WARNING "to prevent upgrading to latest pip, which is not Python2 compatible")
  file(COPY requirements.txt.indigo DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
  # github build failed with invalid device link
  # file(RENAME ${CMAKE_CURRENT_BINARY_DIR}/requirements.txt.indigo requirements.txt)
  execute_process(
    COMMAND cp ${CMAKE_CURRENT_BINARY_DIR}/requirements.txt.indigo ${CMAKE_CURRENT_SOURCE_DIR}/requirements.txt
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  catkin_generate_virtualenv(PYTHON_INTERPRETER python2)
elseif("$ENV{ROS_DISTRO}" STRGREATER "melodic")
  catkin_generate_virtualenv(
    INPUT_REQUIREMENTS requirements.in.noetic
    PYTHON_INTERPRETER python3
    )
else()
  catkin_generate_virtualenv(
    INPUT_REQUIREMENTS requirements.in
    PYTHON_INTERPRETER python2
    )
endif()

file(GLOB PYTHON_SCRIPT_FILES node_scripts/*.py test/*.py)
catkin_install_python(
  PROGRAMS ${PYTHON_SCRIPT_FILES}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
  if(NOT (gcc_dump_machine MATCHES "x86_64-.*" OR gcc_dump_machine MATCHES "aarch64-.*"))
    message(WARNING "pip -i requirements.txt work only with i686, so skipping test for ${gcc_dump_machine}")
  else()
    add_rostest(test/test_rospy_node.test
      DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv ${PROJECT_NAME}_generate_messages
    )
  endif()
endif()

## ros-noetic-dialogflow-task-executive 2.1.21

=== debian/changelog ===
ros-noetic-dialogflow-task-executive (2.1.21-2buster) buster; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 19 Aug 2020 00:00:00 -0000

ros-noetic-dialogflow-task-executive (2.1.20-2buster) buster; urgency=high

  * [dialogflow_task_executive] accepct full name of app name for dialogflow action (#208 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/208>)
    
      * update readme to accept dialogflow action name
      * use whole app_name for action
    
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-noetic-dialogflow-task-executive (2.1.19-2buster) buster; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 21 Jul 2020 00:00:00 -0000

ros-noetic-dialogflow-task-executive (2.1.18-2buster) buster; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 20 Jul 2020 00:00:00 -0000

ros-noetic-dialogflow-task-executive (2.1.17-2buster) buster; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-dialogflow-task-executive (2.1.16-2buster) buster; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-dialogflow-task-executive (2.1.15-2buster) buster; urgency=high

  * add url in dialogflow_task_executive (#181 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/181>)
  * Contributors: Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 12 Dec 2019 00:00:00 -0000

ros-noetic-dialogflow-task-executive (2.1.14-2buster) buster; urgency=high

  * [dialogflow_task_executive] add dialogflow_task_executive (#165 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/165>)
    * add std_msgs in package.xml (#177 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/177>)
    * update system fig/img
    * add jsk-dialog.conf example
    * add upstart example
  * Contributors: Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 21 Nov 2019 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-dialogflow-task-executive
Section: misc
Priority: optional
Maintainer: Shingo Kitagawa <shingogo.5511@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: http://ros.org/wiki/dialogflow_task_executive
Standards-Version: 3.9.2

Package: ros-noetic-dialogflow-task-executive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime
Description: A ROS package for Task execution with dialogflow

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-dialogflow-task-executive//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-dialogflow-task-executive 2.1.28

=== debian/changelog ===
ros-noetic-dialogflow-task-executive (2.1.28-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 23 Jul 2023 15:00:00 -0000

ros-noetic-dialogflow-task-executive (2.1.27-1focal) focal; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 23 Jun 2023 15:00:00 -0000

ros-noetic-dialogflow-task-executive (2.1.26-1focal) focal; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 13 Jun 2023 15:00:00 -0000

ros-noetic-dialogflow-task-executive (2.1.25-1focal) focal; urgency=high

  * Add option to use project_id from json, instead of credentials (#460 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/460>)
  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
    
      * install python files under CATKIN_PACKAGE_BIN_DESTINATION
      * dialogflow_task_executive: add missing dependencies to package.xml
      * dialogflow_task_executive: pip -i only works with 64 bit (x86_64 and aarch64), other archtecture skips rospy_node.test
      * dialogflow_task_executive/CMakeLists.txt: test/test_rospy_node.test depends on generate_messages
      * dialogflow_task_executive/requirements.txt.indigo: specify grpcio for indigo
      * add catkin_install_python for test, it is also change installed directory from BIN to SHARE, because we want to have same directory structure between devel and install
      * add test to check if ros node is loadable
        If we use python2 PYTHON_INTERPRETER on 20.04, python2 fails to load rospy in /opt/ros/noetic, because rospy moduels are alraedy updated.
        If we use python3 PYTHON_INTERPRETER on 18.04, python3 can load rospy in /opt/ros/melodic by chance.
        c.f. https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/367
    
  * [dialogflow_task_executive] chmod -x because of catkin_virtualenv (#449 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/449>)
  * [dialogflow_task_executive] not use map for python3 in task_executive (#447 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/447>)
  * [dialogflow_task_executive] fix typo in dialogflow_client.py (#445 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/445>)
    
      * chmod -x because of catkin_virtualenv
      * not use map for python3 in task_executive
      * fix typo in dialogflow_client.py
    
  * [dialogflow_task_executive] add sample apps (#293 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/293>)
  * [dialogflow_task_executive] add speech_to_text_other topic name in speech_to_text_mux (#302 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/302>)
  * [CI] build catkin_virtualenv packages in indigo. (#419 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/419>)
  * [dialogflow_task_executive] check if ROS_PYTHON_VERSION is set to support indigo in dialogflow_client (#408 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/408>)
  * [#405 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/405> and #410 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/410>] Fix CI (#415 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/415>)
  * [dialogflow_task_executive] Support noetic (#362 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/362>)
  * Fix GithubAction (#386 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/386>)
  * [dialogflow_task_executive] Enable aarch64 (#364 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/364>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
  * [dialogflow_task_executive] set optenv as default false (#368 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/368>)
  * Explicit python interpreter in catkin_virtualenv (#367 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/367>)
  * [dialogflow_task_executive] add comments in DialogResponse.msg (#366 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/366>)
  * [dialogflow_task_executive] adding some args in dialogflow_ros.launch (#361 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/361>)
  * [dialogflow_task_executive] fix warn bug when got unknown action (#363 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/363>)
  * fix type on dialogflow_task_executive/requirements.txt.indigo (#355 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/355>)
  * [dialogflow_task_executive] add requirements.txt in .gitignore (#353 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/353>)
  * [dialogflow_task_executive] add doc in launch (#349 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/349>)
  * [dialogflow_task_executive]separate dialogflow API client and app execution from dialogflow_task_executive (#343 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/343>)
  * dialogflow_task_executive: re-enable idnigo (#342 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/342>)
  * dialogflow_task_executive: more depends and udpate README.md (#334 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/334>)
  * [dialogflow_task_executive] Fix bugs when subscribing /text (std_msgs/String) topic (#328 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/328>)
  * [dialogflow_task_executive] load dialogflow project_id from credentials (#319 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/319>)
  * [dialogflow_task_executive] Fix merging #317 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/317> (#318 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/318>)
  * Support dialogflow hotword yaml (#307 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/307>)
  * add sample code of dialogflow (#317 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/317>)


=== debian/control ===
Source: ros-noetic-dialogflow-task-executive
Section: misc
Priority: optional
Maintainer: Shingo Kitagawa <shingogo.5511@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-catkin-virtualenv, ros-noetic-message-generation, ros-noetic-roslaunch, ros-noetic-rostest <!nocheck>
Homepage: http://ros.org/wiki/dialogflow_task_executive
Standards-Version: 3.9.2

Package: ros-noetic-dialogflow-task-executive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib-msgs, ros-noetic-message-runtime, ros-noetic-speech-recognition-msgs, ros-noetic-std-msgs, ros-noetic-topic-tools
Description: A ROS package for Google Dialogflow and launching apps via Dialogflow

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
